TPROF_PMI(4)

NAME
tprof_pmi - a tprof backend for Intel Pentium 4

SYNOPSIS
pseudo-device tprof_pmi

DESCRIPTION
The tprof_pmi driver is a tprof(4) backend driver, which uses performance-monitoring events available for Intel Pentium 4 (NetBurst) processors.

It programs the processors so that global_power_events events (ESCR Event Select = 0x13) to raise NMIs and the NMI handler collect samples.

SEE ALSO
tprof(4)

AUTHORS
The tprof_pmi driver was written by YAMAMOTO Takashi.

BUGS
The name of this driver is too generic.